Tips  unit

Version 1.03   6-Oct-97

Here is another Tips system to take look at. In this one Ive added some features I havent seen in others.

Here your user has full control over the Tips system. That means user can customize the tips in any way he/she wants  to. Tips can be added, removed, hidden etc.

Components in this package:

TBitListBox         List box with glyphs before each item.

TTips                   Tips component itself.

Types in the package:

TTipsOption

TTipsOptions

Additional information

Installation

Tips Editor

Release history

Copyright

Ordering Tips

Contact the Author


TBitListBox

Only one new property Glyph - bitmap to be shown with list boxs items.


TTips

Properties          Events            Methods

Description

You can use the TTips component as standard Tips system. See Options property. But why dont you let your users to modify the list of available tips? Perhaps they has their own notes about your program or something also…

TTips lets user  hide, show again, delete, add, the tips. Please not that all these operations are available only in run-time.


Properties

Title                   TipsHelp                      TipsToShow                 TipsToHide

Options              TipsPicture                  PanelsColor


Events

OnBtnNextClick          OnBtnEditClick             OnBtnHelpClick         OnBtnCloseClick


Title
Title property

Applies to TTips

Declaration

property Title: string;

Title (caption) of  the Tips form


TipsHelp
TipsHelp property

Applies to TTips

Declaration

property TipsHelp: string;

String to be shown under the tips. (Usually Did you know...)


TipsToShow
TipsToShow property

Applies to TTips

Declaration

property TipsToShow: TStringList;

List of tips to show in the Tips form.


TipsToHide
TipsToHide property

Applies to TTips

Declaration

property TipsToHide: : TStringList;

List of tips to be hidden. Available in the Tips to hide section of the Tips Editor.


Options
Options property

Applies to TTips

Declaration

property Options: TTipsOptions

Value                                Meaning

____________________________________________________________

ofShowAtStart                        Checks appropriate check box in the Tips form,

ofShowBtnEdit                        Shows Edit button in the Tips form (and lets user edit tips)

ofShowBtnHelp                       Shows Help button in the Tips form

ofCustomPicture                      Should be True if you going to use custom image instead of default.

OfRandomFirstTip                   If True then first tip will be shown in random order. Otherwise

                                                first tip will be always the same.


OnBtnNextClick
OnBtnNextClick property

Applies to TTips

Declaration

property OnBtnNextClick:   TNotifyEvent;

Occurs when user hits Next button.


OnBtnEditClick
OnBtnEditClick property

Applies to TTips

Declaration

property OnBtnEditClick:   TNotifyEvent;

Occurs when user hits Edit button.


OnBtnHelpClick
OnBtnHelpClick property

Applies to TTips

Declaration

property OnBtnHelpClick:   TNotifyEvent;

Occurs when user hits Help button.


OnBtnCloseClick
OnBtnCloseClick property

Applies to TTips

Declaration

property OnBtnCloseClick:   TNotifyEvent;

Occurs when user hits Close button.


TipsPicture
TipsPicture property

Applies to TTips

Declaration

property TipsPicture: TPicture;

Picture to draw in Tips form instead of default one. See also Options


PanelsColor
PanelsColor property

Applies to TTips

Declaration

property PanelsColor: TColor;

Color of all panels/list boxes etc in Tips system.


Methods

Execute

SaveToStream             LoadFromStream

SaveToFile                   LoadFromFile

SaveToRegistry          LoadFromRegistry


Execute
Execute method

Applies to TTips

Declaration

function Execute : Boolean;

No parameters. Executes Tips dialog.


SaveToStream
SaveToStream method

Applies to TTips

Declaration

procedure SaveToStream(Stream: TStream);

Writes Tips (from both sections) to given stream.


LoadFromStream
LoadFromStream method

Applies to TTips

Declaration

function LoadFromStream(Stream: TStream): Boolean;

Reads Tips (both sections) from given stream. Returns True if successful.


SaveToFile
SaveToFile method

Applies to TTips

Declaration

procedure SaveToFile(FileName: TFileName);

Writes Tips (from both sections) to given file.


LoadFromFile
LoadFromFile method

Applies to TTips

Declaration

function LoadFromFile(FileName: TFileName): Boolean;

Reads Tips (both sections) from given file. Returns True if successful.


SaveToRegistry
SaveToRegistry method

Applies to TTips

Declaration

procedure SaveToRegistry(FKey: string);

Saves tips to registry (Win32) or INI file (Win16). Under  Win32  FKey is a registry key to store data to. Under Win16 its INI file name.


LoadFromRegistry
LoadFromRegistry method

Applies to TTips

Declaration

function LoadFromRegistry(FKey: string; MustOverride: Boolean): Boolean;

Loads tips from the  registry (Win32) or INI file (Win16). Under  Win32  FKey is a registry key to read data from. Under Win16 its INI file name. If MustOverride is True current tips lists will be cleared no matter FKey exists or not. If False - only if FKey exists. Returns True if successful.


TTipsOption

Declaration

TTipsOption = (ofShowAtStart, ofShowEdit, ofShowPrint, ofCustomPicture, ofRandomFirstTip);


TTipsOptions

Declaration

TTipsOptions = set of TTipsOption;


Release history

Version 1.03 6-Oct-97

         + Added ofRandomFirstTip Options flag to show random first tip.

         + Added methods to save/load tips to/from Registry (Win32) or INI files (win16).

         + Added BCB version.

Version 1.02 30-Jul-97

          * Fixed small bug with show next time feature.

          + Added TipsPicture property.

          + Added PanelsColor property

          + Added version for D3.

Version 1.01 6-Jun-97

          + Added  Tips Editor and all the related features.

          + More properties, Options etc.

          + Added events for buttons.

Version 1.00 14-Mar-97

          Initial release.


Copyright

The Tips unit and everything that comes with it, is Copyright (C) 1997, by Artem A. Berman. All rights reserved.

Anything not explicitely allowed below, is not allowed.

You may distribute the unregistered version of Tips freely, provided that all files are included and remain unmodified and that no extra files have been added to the package.

You may not ask any money for the distribution.

You may use the unregistered version of Tips free of charge for testing purposes, but if you want to use it for other purposes than testing - you have to register it with the author.

Once you have registered, you will recieve a personal registered copy via email. This copy may not be copied or lend.

THIS SOFTWARE IS DISTRIBUTED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE  OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. YOU USE IT AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES,  LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not attempt to reverse compile, modify, translate or disassemble the software in whole or in part.


Sareware
Shareware

Tips is being distributed as shareware. This means you can try it out for free, but if you like it you'll have to register it with the author.

The only difference between the unregistered and registered versions is that the registered one has not those hidden tips.... ;-)

There are two registration types: Registering with and without sources.

Registration without sources will cost you  $ US 8. You will receive a copy of Tips with all the additional components all via email. You will have the opportunity to recieve updated versions for free via email.

Registration with sources will cost you  $ US 16. You will receive all the above plus sources.

Im use ShareIt! service to process registrations. If you would like to register TTips, you can do the registration online on the Internet at http://www.shareit.com/programs/100365.htm. Alternatively, you can go to http://www.shareit.com and enter the program number there: 100365.

If you do not have access to the Internet, you can register via phone, fax or

postal mail. Please print out the following form, and fax or mail it to:

Reimold&Schumann Internet Services

ShareIt!

Jahnstrasse 24

50676 Koeln

Germany

Phone:         +49-221-2407279

                      +49-172-7229837

Fax:               +49-221-2407278

E-Mail:          register@shareit.com

Registration form for TTips (it can be found also in order.txt file).

Program No.: 100365

Last name: ___________________________________

First name: ____________________________________

Company: ____________________________________

Street and #: ______________________________________

City, State, postal code: ________________________________

Country: _______________________________________

Phone: _____________________________________

Fax: ________________________________________

E-Mail: ______________________________________

How would like to receive the registration key/full version?

e-mail 	- fax	- postal mail

How would you like to pay the registration fee of $8/16:

credit card - wire transfer - EuroCheque - cash

Credit card information (if applicable)

Credit card: Visa - Eurocard/Mastercard - American Express - Diners Club

Card holder: ________________________________

Card No.: ___________________________________

Date of Expiration : ___________________________________

Date / Signature ___________________________

If you live in Ukraine or Australia and prefer some other way to register please Contact me . If you in USA and need some other way - contact me also.


Author
Contact the Author

Artem A. Berman

Ukraine

325000, Kherson

Kotovsky 4-10

art@aber.kherson.ua

art@ukrcom.kherson.ua

http://www.ukrcom.kherson.ua/~art/

Obtain new versions of these components and many others  (mostly FREEWARE) from http://www.ukrcom.kherson.ua/~art/delphi.html Your feedback is welcome!


Tips Editor

Two list boxes here. Above one contains tips to be shown in the main tips form, hidden tips are below.  The tool to move items between list boxes is :

      Move selected item from Tips to be shown to Tips to be hidden.

      Move all items from Tips to be shown to Tips to be hidden.

      Move selected item from Tips to be hidden to Tips to be shown .

      Move all items from Tips to be hidden to Tips to be shown.

      Delete selected item in active list box.

Also your user can add own tips (Add button) and change order of tips (using Drag and Drop).


Installation

  For Delphi 1 and Delphi 2

  =========================

  1. All files should be copied to the same place.

  2. You need to install in the Delphi Tips.dcu file.

  For Delphi 3

  ============

  1. All files should be copied to the same place.

  2. Open in Dlephi TipsSystem.dpk package (File -> Open -> in the dialog

     choose "files of type" - "Delphi package source").

  3. Press "Install" speed button.

  4. Make sure that folder with Tips System is in your library path:

     Tools -> Environment Options -> Library -> Library Path

  For C++ Builder

  ===============

  1. All files should be copied to the same place ($(BCB)\lib directory)...

  2. In the C++ Builder menu: Component -> Install...

  3. Install files tips.OBJ